| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Types | Public Member Functions | Static Public Attributes | Properties | Private Attributes | List of all members
MyImageProcessingClasses.CameraCalibrator Class Reference

Class to calibrate camera and transform coordinates using homography. More...

## Public Types
enum | PointLocation : byte { UPPER_LEFT = 0, UPPER_RIGHT = 1, LOWER_RIGHT = 2, LOWER_LEFT = 3 }
| Enum to specify point location More...

## Public Member Functions
| CameraCalibrator ()
| Constructor. More...
void | AddCalibrationPoint (PointF point, PointLocation location)
| Adds point into the list. More...
void | CalculateHomography ()
| Calculates homography matrix. More...
PointF | TransformPoint (PointF point)
| Transforms point coordinates using homography matrix More...
override string | ToString ()
| ToString() method override. More...

## Static Public Attributes
static Dictionary< Byte, PointF > | CalibrationPoints
| Calibration points coordinates. More...

## Properties
HomographyMatrix | HomographyMat`[get]`
| Homography matrix getter. More...
Boolean | AllCalibrationPointsSpecified`[get]`
| Determines whether all calibration points have been specified. More...

## Private Attributes
List< PointF > | templatePoints
| Template calibration point. More...
List< PointF > | selectedPoints
| Calibration point specified by user in camera image. More...
HomographyMatrix | homographyMatrix
| Homography matrix. More...

## Detailed Description

Class to calibrate camera and transform coordinates using homography.

Definition at line 258 of file MyImageProcessingClasses.cs.

## Member Enumeration Documentation

enum MyImageProcessingClasses.CameraCalibrator.PointLocation : byte

Enum to specify point location

Enumerator
UPPER_LEFT | Upper left point.
UPPER_RIGHT | Upper right point.
LOWER_RIGHT | Lower right point.
LOWER_LEFT | Lower left point.

Definition at line 263 of file MyImageProcessingClasses.cs.

## Constructor & Destructor Documentation

MyImageProcessingClasses.CameraCalibrator.CameraCalibrator | ( |  | ) |

Constructor.

Definition at line 326 of file MyImageProcessingClasses.cs.

## Member Function Documentation

void MyImageProcessingClasses.CameraCalibrator.AddCalibrationPoint | ( | PointF | point,
|  | PointLocation | location
| ) |  |

Adds point into the list.

Parameters

  point | User defined point.
  location | Location of point.

Definition at line 349 of file MyImageProcessingClasses.cs.

void MyImageProcessingClasses.CameraCalibrator.CalculateHomography | ( |  | ) |

Calculates homography matrix.

Definition at line 357 of file MyImageProcessingClasses.cs.

override string MyImageProcessingClasses.CameraCalibrator.ToString | ( |  | ) |

ToString() method override.

Returns
  Homography matrix elements in a string.

Definition at line 410 of file MyImageProcessingClasses.cs.

PointF MyImageProcessingClasses.CameraCalibrator.TransformPoint | ( | PointF | point | ) |

Transforms point coordinates using homography matrix

Parameters

  point | Point to be transformed.

Returns
  Transformed point.

See Also
  http://en.wikipedia.org/wiki/Homography

Definition at line 370 of file MyImageProcessingClasses.cs.

## Member Data Documentation

Dictionary<Byte, PointF> MyImageProcessingClasses.CameraCalibrator.CalibrationPoints
| static

Initial value:
= new Dictionary<Byte, PointF>()
{
{(Byte)PointLocation.UPPER_LEFT, new PointF(-0.5f,1f)},
{(Byte)PointLocation.UPPER_RIGHT, new PointF(0.5f,1f)},
{(Byte)PointLocation.LOWER_RIGHT, new PointF(0.5f,0.5f)},
{(Byte)PointLocation.LOWER_LEFT, new PointF(-0.5f,0.5f)}
}

Calibration points coordinates.

Definition at line 289 of file MyImageProcessingClasses.cs.

HomographyMatrix MyImageProcessingClasses.CameraCalibrator.homographyMatrix
| private

Homography matrix.

Definition at line 310 of file MyImageProcessingClasses.cs.

List<PointF> MyImageProcessingClasses.CameraCalibrator.selectedPoints
| private

Calibration point specified by user in camera image.

Definition at line 305 of file MyImageProcessingClasses.cs.

List<PointF> MyImageProcessingClasses.CameraCalibrator.templatePoints
| private

Template calibration point.

Definition at line 300 of file MyImageProcessingClasses.cs.

## Property Documentation

Boolean MyImageProcessingClasses.CameraCalibrator.AllCalibrationPointsSpecified
| get

Determines whether all calibration points have been specified.

Returns
  True on success.

Definition at line 395 of file MyImageProcessingClasses.cs.

HomographyMatrix MyImageProcessingClasses.CameraCalibrator.HomographyMat
| get

Homography matrix getter.

Definition at line 316 of file MyImageProcessingClasses.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/MyImageProcessingClasses.cs